Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451055 - ccsm orders compiz plugins wrong
Summary: ccsm orders compiz plugins wrong
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ccsm
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mohd Izhar Firdaus Ismail
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 16:10 UTC by Adam Serbinski
Modified: 2009-07-14 16:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:03:23 UTC


Attachments (Terms of Use)

Description Adam Serbinski 2008-06-12 16:10:21 UTC
Description of problem:
When Preferences/Plugin List/Automatic plugin sorting is enabled, ccsm orders
plugins as follows;
decoration
move
workarounds
regex
minimize
place
wobbly
zoom
dbus
resize
core
png
fade
cube
switcher
expo
rotate
scale

The result of this order is that when attempting to open a new window, whole
screen "blinks", and new window does not open. Windows that were already open
before enabling desktop effects remain open.

Order that works is as follows;
core
glib
gconf
dbus
png
svg
video
screenshot
decoration
clone
place
fade
minimize
move
resize
switcher
scale
plane
workarounds
regex
wobbly
zoom
cube
expo
rotate
showdesktop


Version-Release number of selected component (if applicable):
0.7.2-1

How reproducible:
Always

Steps to Reproduce:
1. Enable desktop effects
2. Launch ccsm
3. In Preferences/Plugin List, enable "Automatic plugin sorting" (if it is not
already enabled, it is by default)
4. Activate or deactivate any plugin to trigger ccsm to rewrite gconf key
"/apps/compiz/general/allscreens/options/active_plugins"
  
Actual results:
Plugins are ordered incorrectly, causing failure to open new windows and screen
"blink" when attempting to do so.

Expected results:
Plugins should be ordered correctly, new windows should open, screen should not
"blink".

Additional info:
Disabling "Automatic plugin sorting" allows existing plugin order to be maintained.

Comment 1 Bug Zapper 2009-06-10 01:34:34 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 16:03:23 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.